import { ActivityRecognizer } from "./recognizers";
export declare enum Resolution {
    LOW = "low",
    MEDIUM = "medium",
    HIGH = "high"
}
export declare function getActivityRecognizer(resolution: Resolution): ActivityRecognizer;
export { ActivityRecognizer, StartOptions, RecognitionCallback, } from "./recognizers";
export { HumanActivity } from "./human-activity";
export { ActivityChange, Transition } from "./activity-change";
