import { RecognizerManager } from "./recognizer-manager";
import { StartOptions } from "./index";
import PendingIntent = android.app.PendingIntent;
import Context = android.content.Context;
import Task = com.google.android.gms.tasks.Task;
export declare abstract class AndroidAbstractRecognizerManager implements RecognizerManager {
    private receiver;
    private pendingIntent;
    protected constructor(receiver: java.lang.Class<any>);
    isReady(): boolean;
    prepare(): Promise<void>;
    startListening(options?: StartOptions): Promise<void>;
    stopListening(): Promise<void>;
    protected abstract handleStart(context: Context, intent: PendingIntent, options: StartOptions): Task<any>;
    protected abstract handleStop(context: Context, intent: PendingIntent): Task<any>;
    private isUp;
    private getPendingIntent;
    private getReceiverIntent;
}
