import { AbstractActivityRecognizer } from "../../abstract-recognizer";
import { RecognizerStateStore } from "../../state/store";
import { RecognizerCallbackManager } from "../../callback-manager";
import { RecognizerManager } from "../../recognizer-manager";
import { ActivityChange } from "../../../activity-change";
export declare class AndroidLowResRecognizer extends AbstractActivityRecognizer {
    constructor(recognizersState: RecognizerStateStore, callbackManager: RecognizerCallbackManager, recognitionManager: RecognizerManager);
    onNewActivityChange(activityChange: ActivityChange): void;
}
export declare function getAndroidLowResRecognizer(): AndroidLowResRecognizer;
