import { AbstractActivityRecognizer } from "../../abstract-recognizer";
import { RecognizerStateStore } from "../../state/store";
import { RecognizerCallbackManager } from "../../callback-manager";
import { RecognizerManager } from "../../recognizer-manager";
import { HumanActivity } from "../../../index";
export declare class AndroidMediumResRecognizer extends AbstractActivityRecognizer {
    constructor(recognizerState: RecognizerStateStore, callbackManager: RecognizerCallbackManager, recognitionManager: RecognizerManager);
    onRecognitionResult(result: ActivityUpdate): Promise<void>;
}
export interface ActivityUpdate {
    type: HumanActivity;
    confidence: number;
    timestamp: Date;
}
export declare function getAndroidMediumResRecognizer(): AndroidMediumResRecognizer;
