import { Options, Location } from "nativescript-geolocation";
export declare class GeolocationAdapter {
    isReady(): Promise<boolean>;
    prepare(always?: boolean, openSettingsIfDenied?: boolean): Promise<void>;
    acquireLocation(options: Options): Promise<Location>;
    listenChanges(onChange: (location: Location) => void, onError: (error: Error) => void, options: Options): number;
    stopListening(watchId: number): void;
}
export { Options, Location } from "nativescript-geolocation";
export { Accuracy } from "@nativescript/core/ui/enums";
